****************************************************
* Funktionen fr die Umwandlung der Texte in Base64- und HEX-Werte und umgekehrt,
* die die CryptKlasse verwenden.
*
* Mindestvoraussetzungen: Windows XP bzw. Windows Server 2003
*
****************************************************
*
* Author: Andreas Engler
* Erstellt: 31.12.2010
* Copyright: Andreas Engler
* Version: 1.0
****************************************************

FUNCTION Base64ToString( cString )
        /* Beschreibung : Ein Base64-String in String umwandeln
                Parameter    : cString - Base64-String, dass in String umgewandelt werden soll
        */
        LOCAL cReturn := ""        //Rckgabewert
        LOCAL oCrypt := CryptClass():New()

        cReturn := oCrypt:Base64ToString( cString )

RETURN cReturn

FUNCTION StringToBase64( cString )
        /* Beschreibung : Ein String in Base64-String umwandeln
                Parameter    : cString - Text, dass in Base64 kodierten Text umgewandelt werden soll
                Rckgabe     : cReturn - Base64-String
        */
        LOCAL cReturn := ""        //Rckgabewert
        LOCAL oCrypt := CryptClass():New()

        cReturn := oCrypt:StringToBase64( cString )

RETURN cReturn

FUNCTION Base64HeaderToString( cString )
        /* Beschreibung : Ein Base64-String mit Header in String umwandeln
                Parameter    : cString - Base64-String, dass in String umgewandelt werden soll
        */
        LOCAL cReturn := ""        //Rckgabewert
        LOCAL oCrypt := CryptClass():New()

        cReturn := oCrypt:Base64HeaderToString( cString )

RETURN cReturn

FUNCTION StringToBase64Header( cString )
        /* Beschreibung : Ein String in Base64-String mit Header umwandeln
                Parameter    : cString - Text, dass in Base64 kodierten Text umgewandelt werden soll
                Rckgabe     : cReturn - Base64-String
        */
        LOCAL cReturn := ""        //Rckgabewert
        LOCAL oCrypt := CryptClass():New()

        cReturn := oCrypt:StringToBase64Header( cString )

RETURN cReturn

FUNCTION StringToHex( cString )
        /* Beschreibung : Ein String in HEX-String umwandeln
                Parameter    : cString - Text, dass in HEX umgewandelt werden soll
                Rckgabe     : cReturn - HEX-String
        */
        LOCAL cReturn := ""        //Rckgabewert
        LOCAL oCrypt := CryptClass():New()

        cReturn := oCrypt:StringToHex( cString )

RETURN cReturn


FUNCTION HexToString( cString )
        /* Beschreibung : Ein Hex-String in String umwandeln
                Parameter    : cString - Hex-String, dass in String umgewandelt werden soll
                Rckgabe     : cReturn - String
        */
        LOCAL cReturn := ""         //Rckgabewert
        LOCAL oCrypt := CryptClass():New()

        cReturn := oCrypt:HexToString( cString )

RETURN cReturn


FUNCTION StringToHexAddr( cString )
        /* Beschreibung : Ein String in HEX-String inkl. Adressen umwandeln
                Parameter    : cString - Text, dass in HEX umgewandelt werden soll
                Rckgabe     : cReturn - HEX-String inkl. Adressen
        */
        LOCAL cReturn := ""        //Rckgabewert
        LOCAL oCrypt := CryptClass():New()

        cReturn := oCrypt:StringToHexAddr( cString )

RETURN cReturn


FUNCTION HexAddrToString( cString )
        /* Beschreibung : Ein Hex-String inkl. Adressen in String umwandeln
                Parameter    : cString - Hex-String, dass in String umgewandelt werden soll
                Rckgabe     : cReturn - String
        */
        LOCAL cReturn := ""        //Rckgabewert
        LOCAL oCrypt := CryptClass():New()

        cReturn := oCrypt:HexAddrToString( cString )

RETURN cReturn


FUNCTION StringToHexAsciiAddr( cString )
        /* Beschreibung : Ein String in HEX-String inkl. Adressen und ASCII-Code umwandeln
                Parameter    : cString - Text, dass in HEX umgewandelt werden soll
        */
        LOCAL cReturn := ""         //Rckgabewert
        LOCAL oCrypt := CryptClass():New()

        cReturn := oCrypt:StringToHexAsciiAddr( cString )

RETURN cReturn


FUNCTION HexAsciiAddrToString( cString )
        /* Beschreibung : Ein Hex-String inkl. Adressen und ASCII-Code in String umwandeln
                Parameter    : cString - Hex-String, dass in String umgewandelt werden soll
                Rckgabe     : cReturn - String
        */
        LOCAL cReturn := ""         //Rckgabewert
        LOCAL oCrypt := CryptClass():New()

        cReturn := oCrypt:HexAsciiAddrToString( cString )

RETURN cReturn