#DEFINE CRYPT_STRING_BASE64HEADER	0	//CryptStringToBinaryA - dwFlags: Base64, with certificate beginning and ending headers
#DEFINE CRYPT_STRING_BASE64		1	//CryptStringToBinaryA - dwFlags: Base64, without headers
#DEFINE CRYPT_STRING_BINARY		2	//CryptStringToBinaryA - dwFlags: Pure binary copy
#DEFINE CRYPT_STRING_HEX		4	//CryptStringToBinaryA - dwFlags: Hexadecimal only format
#DEFINE CRYPT_STRING_BASE64_ANY		6	//CryptStringToBinaryA - dwFlags: Tries the following, in order: CRYPT_STRING_BASE64HEADER, CRYPT_STRING_BASE64
#DEFINE CRYPT_STRING_HEX_ANY		8	//CryptStringToBinaryA - dwFlags: Tries the following, in order: CRYPT_STRING_HEXADDR,
													// CRYPT_STRING_HEXASCIIADDR, CRYPT_STRING_HEX, CRYPT_STRING_HEXRAW, CRYPT_STRING_HEXASCII
#DEFINE CRYPT_STRING_BASE64X509CRLHEADER	9	//CryptStringToBinaryA - dwFlags: Base64, with x509 certificate revocation list (CRL)
																//beginning and ending headers
#DEFINE CRYPT_STRING_HEXADDR		10	//CryptStringToBinaryA - dwFlags: Hex, with address display
#DEFINE CRYPT_STRING_HEXASCIIADDR	11	//CryptStringToBinaryA - dwFlags: Hex, with ASCII character and address display
#DEFINE CRYPT_STRING_HEXRAW		12	//CryptStringToBinaryA - dwFlags: A raw hexadecimal string. Windows Server 2003, Windows XP:
													//This value is not supported.
													
#DEFINE CRYPT_STRING_NOCRLF		0x40000000	//CryptBinaryToStringA - Do not append any new line characters to the encoded string.
																//The default behavior is to use a carriage return/line feed (CR/LF) pair (0x0D/0x0A)
																//to represent a new line. Windows Server 2003, Windows XP:  This value is not supported.

#DEFINE CRYPT_STRING_NOCR		0x80000000	//CryptBinaryToStringA - Only use the line feed (LF) character (0x0A) for a new line.
																//The default behavior is to use a CR/LF pair (0x0D/0x0A) to represent a new line.